Traffic Analytics
Website traffic overview
Visitors, page views and page views per visitor for the period, each with the change rate against the previous period (the previous value itself is not available yet and is null). Same numbers as the CRM Traffic Report. The period is at most 365 days and defaults to the last 30 days.
GET
/
v2.0
/
website
/
analytics
/
traffic
/
overview
Website traffic overview
curl --request GET \
--url https://api.lofty.com/v2.0/website/analytics/traffic/overview \
--header 'Authorization: <authorization>'import requests
url = "https://api.lofty.com/v2.0/website/analytics/traffic/overview"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.lofty.com/v2.0/website/analytics/traffic/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lofty.com/v2.0/website/analytics/traffic/overview",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lofty.com/v2.0/website/analytics/traffic/overview"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.lofty.com/v2.0/website/analytics/traffic/overview")
.header("Authorization", "<authorization>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lofty.com/v2.0/website/analytics/traffic/overview")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
response = http.request(request)
puts response.read_body{
"startDate": "<string>",
"endDate": "<string>",
"timeZone": "<string>",
"visitors": {
"value": 123,
"lastValue": 123,
"changeRate": 123
},
"pageViews": {
"value": 123,
"lastValue": 123,
"changeRate": 123
},
"pageViewsPerVisitor": {
"value": 123,
"lastValue": 123,
"changeRate": 123
}
}Query Parameters
⌘I
Website traffic overview
curl --request GET \
--url https://api.lofty.com/v2.0/website/analytics/traffic/overview \
--header 'Authorization: <authorization>'import requests
url = "https://api.lofty.com/v2.0/website/analytics/traffic/overview"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.lofty.com/v2.0/website/analytics/traffic/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lofty.com/v2.0/website/analytics/traffic/overview",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lofty.com/v2.0/website/analytics/traffic/overview"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.lofty.com/v2.0/website/analytics/traffic/overview")
.header("Authorization", "<authorization>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lofty.com/v2.0/website/analytics/traffic/overview")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
response = http.request(request)
puts response.read_body{
"startDate": "<string>",
"endDate": "<string>",
"timeZone": "<string>",
"visitors": {
"value": 123,
"lastValue": 123,
"changeRate": 123
},
"pageViews": {
"value": 123,
"lastValue": 123,
"changeRate": 123
},
"pageViewsPerVisitor": {
"value": 123,
"lastValue": 123,
"changeRate": 123
}
}